Internal server error when editing anonymously via the API
Closed, ResolvedPublic

Description

Author: EN.WP.ST47

Description:
When trying to edit via the API while logged out, I receive an internal server error. Attached are the queries and responses. Query 1 fetches the edit token, and completes successfully, query 2 tries to edit and fails, query 3 loads the page content and finds that it has not changed. Presumably, PHP crashes at some point while executing query 2.


Version: 1.14.x
Severity: critical
URL: http://pastebin.com/m11a11c12

bzimport added a project: MediaWiki-API.Via ConduitNov 21 2014, 10:23 PM
bzimport set Reference to bz15420.
bzimport created this task.Via LegacySep 1 2008, 1:56 PM
Catrope added a comment.Via ConduitSep 1 2008, 6:03 PM

I'll need some clues from the enwiki logs as to what caused the HTTP 500 before I can even start investigating this. Brion?

bzimport added a comment.Via ConduitSep 1 2008, 9:06 PM

EN.WP.ST47 wrote:

If it helps find the right logs, my IP is 24.0.66.109.

Catrope added a comment.Via ConduitSep 5 2008, 2:45 PM
  • Bug 15487 has been marked as a duplicate of this bug. ***
Catrope added a comment.Via ConduitSep 5 2008, 3:10 PM

Turned out to be a bug in ConfirmEdit. Should be fixed in r40493, please REOPEN
if you still get errors after r40493 has been synced.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.